{
  config,
  pkgs,
  lib,
  ...
}: {
  users.users.someone.packages = [pkgs.walker pkgs.elephant];

  xdg.configFile."walker/config.toml".text = ''
    [keys]
    launcher = "Mod+Space"

    [keys.quit]
    quit = "Mod+Shift+Q"
    reload = "Mod+Shift+R"

    [look]
    all_monitors = true
    background = "#1f1d2e"
    foreground = "#cdd6f4"
    selection = "#45475a"
    active = "#89b4fa"
    urgent = "#f38ba8"
    alt_background = "#181825"
    icon_theme = "Papirus-Dark"
    terminal = "alacritty"

    [look.font]
    name = "Source Code Pro"
    size = 14
  '';

  systemd.user.services.elephant = {
    wantedBy = ["graphical-session.target"];
    after = ["graphical-session.target"];
    serviceConfig = {
      ExecStart = "${pkgs.elephant}/bin/elephant";
      Restart = "on-failure";
      Type = "simple";
    };
  };
}
